Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf.extensions
Class PDFActionExtension

    java.lang.Object
      org.apache.fop.render.pdf.extensions.PDFObjectExtension
          org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
              org.apache.fop.render.pdf.extensions.PDFCollectionExtension
                  org.apache.fop.render.pdf.extensions.PDFDictionaryExtension
                      org.apache.fop.render.pdf.extensions.PDFActionExtension

    public class PDFActionExtension

extends PDFDictionaryExtension

Field Summary
`static java.lang.String` | `PROPERTY_TYPE`

Fields inherited from class org.apache.fop.render.pdf.extensions.PDFDictionaryExtension
`PROPERTY_ID, PROPERTY_PAGE_NUMBERS`

Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
`PROPERTY_KEY`

Method Summary

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFDictionaryExtension
`addEntry, findEntry, findEntryValue, getDictionaryType, getElementName, getEntries, getLastEntry, getProperty, getValue, setProperty, setValue, usesIDAttribute`

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
`getKey, setKey`

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFObjectExtension
`getType, getValueAsBoolean, getValueAsNumber, getValueAsString, getValueAsXMLEscapedString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_TYPE

    public static final java.lang.String PROPERTY_TYPE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.